### Method

# EDataServer SoupSession get_ssl_error_details

since: 3.26

#### Declaration [src]

    gboolean
    e_soup_session_get_ssl_error_details (
      ESoupSession* session,
      gchar** out_certificate_pem,
      GTlsCertificateFlags* out_certificate_errors
    )

#### Description [src]

Populates `out_certificate_pem` and `out_certificate_errors` with the last values returned on #G_TLS_ERROR_BAD_CERTIFICATE error.

Available since: 3.26

#### Parameters

`out_certificate_pem`

  Type: `gchar**`

  Return location for a server TLS/SSL certificate in PEM format, when the last operation failed with a TLS/SSL error, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_certificate_errors`

  Type: `GTlsCertificateFlags`

  Return location for a `GTlsCertificateFlags`, with certificate error flags when the operation failed with a TLS/SSL error, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the information was available and set to the out parameters.